package app

import (
	"gofiber.study.skcks.cn/common/config"
	"gofiber.study.skcks.cn/common/logger"
	"gofiber.study.skcks.cn/common/utils"
	"gofiber.study.skcks.cn/global"
)

func reloadNanoId(c *config.BasicConfig) {
	global.NanoIdConfig = &c.NanoId
	utils.MainAppExec(func() {
		logger.Log.Infof("[√] [nanoid] 配置完成")
	})
}
